#pragma once

int mainproc(BitcasaDLL::BitcasaWrapper^ API, param::paramdata& param);

std::string SystemStringToStdString(System::String^ str);
std::wstring SystemStringToStdWString(System::String^ str);

INT64 GetByteValue(_TCHAR *str);
INT64 GetDateValue(_TCHAR *str);
_TCHAR *GetDecimalValue(_TCHAR *str, double *value);

tstring filetimestr(const FILETIME &t);
tstring bytestring(INT64 size);
tstring timestring(double sec);

void printdatesize(const WIN32_FIND_DATA &fd);
